proc pnsynth {} {
  cd C:/School/Project/MPSoC/Processors
  xload xmp Processors.xmp
  xset hier sub
  if { [catch {run netlist} result] } {
    return -1
  }
  return 0
}
if { [catch {pnsynth} result] } {
  exit -1
}
exit $result
